package com.example.jhpapp;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class BootReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (Intent.ACTION_BOOT_COMPLETED.equals(intent.getAction())) {
            // 创建一个启动主 Activity 的 Intent
            Intent mainIntent = new Intent(context, MainActivity.class);
            // 设置 Intent 的标志，确保可以在系统启动完成后启动 Activity
            mainIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            // 启动主 Activity
            context.startActivity(mainIntent);
        }
    }

}